package com.zzwtec.third.model.basedata.dto;


/**
 * Created by Xin.L on 2017/8/24.
 */
public class CellODTO {

    // 管理员登录token
    private String token;
    // 楼栋id
    private String buildId;
    // 房间id
    private String cellId;
    // 房间名称
    private String name;
    // 房间门牌 4位，如0301
    private String num;
    // 房间地址
    private String address;
    // 是否呼叫
    private Boolean cancall;
    // 呼叫号码
    private String callphone;

    public String getToken() {
        return token;
    }

    public CellODTO setToken(String token) {
        this.token = token;
        return this;
    }

    public String getBuildId() {
        return buildId;
    }

    public CellODTO setBuildId(String buildId) {
        this.buildId = buildId;
        return this;
    }

    public String getCellId() {
        return cellId;
    }

    public CellODTO setCellId(String cellId) {
        this.cellId = cellId;
        return this;
    }

    public String getName() {
        return name;
    }

    public CellODTO setName(String name) {
        this.name = name;
        return this;
    }

    public String getNum() {
        return num;
    }

    public CellODTO setNum(String num) {
        this.num = num;
        return this;
    }

    public String getAddress() {
        return address;
    }

    public CellODTO setAddress(String address) {
        this.address = address;
        return this;
    }

    public Boolean getCancall() {
        return cancall;
    }

    public CellODTO setCancall(Boolean cancall) {
        this.cancall = cancall;
        return this;
    }

    public String getCallphone() {
        return callphone;
    }

    public CellODTO setCallphone(String callphone) {
        this.callphone = callphone;
        return this;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("CellODTO{");
        sb.append("token='").append(token).append('\'');
        sb.append(", buildId='").append(buildId).append('\'');
        sb.append(", cellId='").append(cellId).append('\'');
        sb.append(", name='").append(name).append('\'');
        sb.append(", num='").append(num).append('\'');
        sb.append(", address='").append(address).append('\'');
        sb.append(", cancall=").append(cancall);
        sb.append(", callphone='").append(callphone).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
